AbstractQueryMaker (Lucene 10.5.0 benchmark API)
Description: declaration: package: org.apache.lucene.benchmark.byTask.feeds, class: AbstractQueryMaker

Package org.apache.lucene.benchmark.byTask.feeds

# Class AbstractQueryMaker

java.lang.Object
org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker

All Implemented Interfaces:
  `QueryMaker`

Direct Known Subclasses:
  `EnwikiQueryMaker`, `FileBasedQueryMaker`, `ReutersQueryMaker`, `SimpleQueryMaker`, `SpatialFileQueryMaker`

public abstract class AbstractQueryMaker extends Object implements QueryMaker
Abstract base query maker. Each query maker should just implement the `prepareQueries()` method.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Config`
  `config`
  `protected int`
  `qnum`
  `protected Query[]`
  `queries`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractQueryMaker()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Query`
  `makeQuery()`
  Create the next query
  `Query`
  `makeQuery(int size)`
  Create the next query, of the given size.
  `protected int`
  `nextQnum()`
  `protected abstract Query[]`
  `prepareQueries()`
  `String`
  `printQueries()`
  Print the queries
  `void`
  `resetInputs()`
  Reset inputs so that the test run would behave, input wise, as if it just started.
  `void`
  `setConfig(Config config)`
  Set the properties

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### qnum

    protected int qnum

  - ### queries

    protected Query[] queries

  - ### config

    protected Config config

- ## Constructor Details

  - ### AbstractQueryMaker

    public AbstractQueryMaker()

- ## Method Details

  - ### resetInputs

    public void resetInputs() throws Exception
    Description copied from interface: `QueryMaker`
    Reset inputs so that the test run would behave, input wise, as if it just started.
    Specified by:
      `resetInputs` in interface `QueryMaker`
    Throws:
      `Exception`

  - ### prepareQueries

    protected abstract Query[] prepareQueries() throws Exception
    Throws:
      `Exception`

  - ### setConfig

    public void setConfig(Config config) throws Exception
    Description copied from interface: `QueryMaker`
    Set the properties
    Specified by:
      `setConfig` in interface `QueryMaker`
    Throws:
      `Exception`

  - ### printQueries

    public String printQueries()
    Description copied from interface: `QueryMaker`
    Print the queries
    Specified by:
      `printQueries` in interface `QueryMaker`

  - ### makeQuery

    public Query makeQuery() throws Exception
    Description copied from interface: `QueryMaker`
    Create the next query
    Specified by:
      `makeQuery` in interface `QueryMaker`
    Throws:
      `Exception`

  - ### nextQnum

    protected int nextQnum()

  - ### makeQuery

    public Query makeQuery(int size) throws Exception
    Description copied from interface: `QueryMaker`
    Create the next query, of the given size.
    Specified by:
      `makeQuery` in interface `QueryMaker`
    Parameters:
      `size` - the size of the query - number of terms, etc.
    Throws:
      `Exception` - if cannot make the query, or if size > 0 was specified but this feature is not supported.